com.rscja.deviceapi

## Class FingerprintWithMorpho

- java.lang.Object
- - com.rscja.deviceapi.FingerprintWithMorpho

- All Implemented Interfaces:
    IFingerprintWithMorpho

      public class FingerprintWithMorpho
      extends java.lang.Object
      implements IFingerprintWithMorpho

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `FingerprintWithMorpho.EnrollCallBack` 采集指纹回调接口 acquire fingerprint call-back contact
    `static interface` | `FingerprintWithMorpho.GrabCallBack`
    `static interface` | `FingerprintWithMorpho.IdentificationCallBack` 验证指纹的回调接口 call-back contact for fingerprint verification
    `static interface` | `FingerprintWithMorpho.PtCaptureCallBack` 设置获取指纹模版回调接口 setup fingerprint template acquire call-back contact
    `static interface` | `FingerprintWithMorpho.TemplateVerifyCallBack`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 释放指纹模块 free fingerprint module
    `static FingerprintWithMorpho` | `getInstance()` 获取指纹模块操作实例 acquire fingerprint module operation eample
    `java.lang.String` | `getMorphoDescriptor()`
    `java.lang.String` | `getMorphoPIDSN()` 获取指纹版本 acquire fingerprint version
    `int` | `getMorphoSecurityLevel()`
    `static java.lang.String` | `getStatusMsg(int status)`
    `boolean` | `init()` 初始化指纹模块 Initialize fingerprint module
    `boolean` | `isPowerOn()`
    `boolean` | `morphoEraseAllBase()` 删除所有指纹信息 delete all fingerprint infor
    `void` | `setGrabCallBack(FingerprintWithMorpho.GrabCallBack callBack)`
    `void` | `setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)` 设置指纹验证回调接口 setup fingerprint verification call-back contact
    `boolean` | `setMorphoLoadKs(byte[] keybuf)` 设置加密数据秘钥 Setup encypted data key
    `boolean` | `setMorphoSecurityLevel(int level)`
    `void` | `setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)` 设置获取指纹模版回调接口 Setup call-back contact for acquiring fingerprint template
    `void` | `setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)` 设置采集指纹回调接口 setup fingerprint acquire call-back contact
    `void` | `setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)` 设置模版比对回调接口 Setup call-back contact for template comparison
    `boolean` | `setTimeOut(int timeOut)` 设置指纹模块超时时间
    `void` | `startEnroll(int id, java.lang.String name)` 开始采集指纹,注意:请调用 Start acquire fingerprint, attention: call out `setPtEnrollCallBack(EnrollCallBack callBack)` 方法设置接收回调数据 `setPtEnrollCallBack(EnrollCallBack callBack)` setup receive call-back data
    `void` | `startEnroll(int id, java.lang.String name, java.lang.String imgDirectory, java.lang.String imgName)` 开始采集指纹,注意:请调用 Start acquire fingerprint, attention: call out `setPtEnrollCallBack(EnrollCallBack callBack)` 方法设置接收回调数据 `setPtEnrollCallBack(EnrollCallBack callBack)` setup receive call-back data
    `void` | `startGrab(java.lang.String imgDirectory, java.lang.String imgName)`
    `void` | `startIdentification()` 开始验证指纹,注意:请调用 Start verify fingerprint, attention: call-out `setIdentificationCallBack(IdentificationCallBack callBack)` 方法设置接收回调数据 `setIdentificationCallBack(IdentificationCallBack callBack)` setup receive call-back data
    `void` | `startPtCapture(boolean encryptflag)` 开始获取指纹模版,注意:请调用 Start acquire fingerprint template, attention: call out `setPtCaptureCallBack(PtCaptureCallBack callBack)` 方法设置接收回调数据 `setPtCaptureCallBack(PtCaptureCallBack callBack)` setup receive call-back data
    `void` | `startPtCapturePKComp(boolean encryptflag)` 开始获取指纹模版,注意:请调用 Start acquire fingerprint template, attention: call out `setPtCaptureCallBack(PtCaptureCallBack callBack)` 方法设置接收回调数据 `setPtCaptureCallBack(PtCaptureCallBack callBack)` setup receive call-back data
    `void` | `startTemplateVerify(byte[] template, int type)` 开始模版验证,注意:请调用 start template verification, attention: call out `setTemplateVerifyCallBack(TemplateVerifyCallBack callBack)` 方法设置接收回调数据 `setTemplateVerifyCallBack(TemplateVerifyCallBack callBack)`method to setup received call-back data.
    `boolean` | `stopEnroll()` Deprecated.
    `boolean` | `stopIdentification()` Deprecated.
    `boolean` | `stopPtCapture()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static FingerprintWithMorpho getInstance()
                                                   throws ConfigurationException

      获取指纹模块操作实例
      acquire fingerprint module operation eample
      Returns:
        指纹模块操作实例
      Throws:
        `ConfigurationException` - 配置错误异常

    - #### setGrabCallBack

          public void setGrabCallBack(FingerprintWithMorpho.GrabCallBack callBack)

      Specified by:
        `setGrabCallBack` in interface `IFingerprintWithMorpho`

    - #### startGrab

          public void startGrab(java.lang.String imgDirectory,
                                java.lang.String imgName)

      Specified by:
        `startGrab` in interface `IFingerprintWithMorpho`

    - #### setPtCaptureCallBack

          public void setPtCaptureCallBack(FingerprintWithMorpho.PtCaptureCallBack callBack)

      设置获取指纹模版回调接口
      Setup call-back contact for acquiring fingerprint template
      Specified by:
        `setPtCaptureCallBack` in interface `IFingerprintWithMorpho`
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setTemplateVerifyCallBack

          public void setTemplateVerifyCallBack(FingerprintWithMorpho.TemplateVerifyCallBack callBack)

      设置模版比对回调接口
      Setup call-back contact for template comparison
      Specified by:
        `setTemplateVerifyCallBack` in interface `IFingerprintWithMorpho`
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setPtEnrollCallBack

          public void setPtEnrollCallBack(FingerprintWithMorpho.EnrollCallBack callBack)

      设置采集指纹回调接口
      setup fingerprint acquire call-back contact
      Specified by:
        `setPtEnrollCallBack` in interface `IFingerprintWithMorpho`
      Parameters:
        `callBack` - 回调方法
        call-back method

    - #### setIdentificationCallBack

          public void setIdentificationCallBack(FingerprintWithMorpho.IdentificationCallBack callBack)

      设置指纹验证回调接口
      setup fingerprint verification call-back contact
      Specified by:
        `setIdentificationCallBack` in interface `IFingerprintWithMorpho`
      Parameters:
        `callBack` - 回调方法
        call-back method

    - #### isPowerOn

          public boolean isPowerOn()

      Specified by:
        `isPowerOn` in interface `IFingerprintWithMorpho`

    - #### init

          public boolean init()

      初始化指纹模块
      Initialize fingerprint module
      Specified by:
        `init` in interface `IFingerprintWithMorpho`
      Returns:
        true成功，false失败
        true means success, false means failed

    - #### free

          public boolean free()

      释放指纹模块
      free fingerprint module
      Specified by:
        `free` in interface `IFingerprintWithMorpho`
      Returns:
        true成功，false失败
        true means success,false means failed

    - #### stopPtCapture

          @Deprecated
          public boolean stopPtCapture()

      Deprecated.
      `setTimeOut(int timeOut)`
      Specified by:
        `stopPtCapture` in interface `IFingerprintWithMorpho`

    - #### stopEnroll

          @Deprecated
          public boolean stopEnroll()

      Deprecated.
      `setTimeOut(int timeOut)`
      Specified by:
        `stopEnroll` in interface `IFingerprintWithMorpho`

    - #### stopIdentification

          @Deprecated
          public boolean stopIdentification()

      Deprecated.
      `setTimeOut(int timeOut)`
      Specified by:
        `stopIdentification` in interface `IFingerprintWithMorpho`

    - #### startPtCapture

          public void startPtCapture(boolean encryptflag)

      开始获取指纹模版,注意:请调用
      Start acquire fingerprint template, attention: call out
      `setPtCaptureCallBack(PtCaptureCallBack callBack)` 方法设置接收回调数据
      `setPtCaptureCallBack(PtCaptureCallBack callBack)` setup receive call-back data
      Specified by:
        `startPtCapture` in interface `IFingerprintWithMorpho`

    - #### startPtCapturePKComp

          public void startPtCapturePKComp(boolean encryptflag)

      开始获取指纹模版,注意:请调用
      Start acquire fingerprint template, attention: call out
      `setPtCaptureCallBack(PtCaptureCallBack callBack)` 方法设置接收回调数据
      `setPtCaptureCallBack(PtCaptureCallBack callBack)` setup receive call-back data
      Specified by:
        `startPtCapturePKComp` in interface `IFingerprintWithMorpho`

    - #### startTemplateVerify

          public void startTemplateVerify(byte[] template,
                                          int type)

      开始模版验证,注意:请调用
      start template verification, attention: call out
      `setTemplateVerifyCallBack(TemplateVerifyCallBack callBack)` 方法设置接收回调数据
      `setTemplateVerifyCallBack(TemplateVerifyCallBack callBack)`method to setup received call-back data.
      Specified by:
        `startTemplateVerify` in interface `IFingerprintWithMorpho`
      Parameters:
        `template` - 模板数据
        `type` - 0:PKComp

    - #### startEnroll

          public void startEnroll(int id,
                                  java.lang.String name)

      开始采集指纹,注意:请调用
      Start acquire fingerprint, attention: call out
      `setPtEnrollCallBack(EnrollCallBack callBack)` 方法设置接收回调数据
      `setPtEnrollCallBack(EnrollCallBack callBack)` setup receive call-back data
      Specified by:
        `startEnroll` in interface `IFingerprintWithMorpho`

    - #### startEnroll

          public void startEnroll(int id,
                                  java.lang.String name,
                                  java.lang.String imgDirectory,
                                  java.lang.String imgName)
                           throws java.io.IOException

      开始采集指纹,注意:请调用
      Start acquire fingerprint, attention: call out
      `setPtEnrollCallBack(EnrollCallBack callBack)` 方法设置接收回调数据
      `setPtEnrollCallBack(EnrollCallBack callBack)` setup receive call-back data
      Specified by:
        `startEnroll` in interface `IFingerprintWithMorpho`
      Parameters:
        `id` - 指纹id
        `name` - 姓名
        `imgDirectory` - 图片目录
        `imgName` - 图片名称只支持.wsq
      Throws:
        `java.io.IOException`

    - #### startIdentification

          public void startIdentification()

      开始验证指纹,注意:请调用
      Start verify fingerprint, attention: call-out
      `setIdentificationCallBack(IdentificationCallBack callBack)` 方法设置接收回调数据
      `setIdentificationCallBack(IdentificationCallBack callBack)` setup receive call-back data
      Specified by:
        `startIdentification` in interface `IFingerprintWithMorpho`

    - #### getMorphoDescriptor

          public java.lang.String getMorphoDescriptor()

      Specified by:
        `getMorphoDescriptor` in interface `IFingerprintWithMorpho`

    - #### setMorphoLoadKs

          public boolean setMorphoLoadKs(byte[] keybuf)

      设置加密数据秘钥
      Setup encypted data key
      Specified by:
        `setMorphoLoadKs` in interface `IFingerprintWithMorpho`
      Parameters:
        `keybuf` - 秘钥
        key
      Returns:
        true 成功，false 失败
        true means success, false means failed

    - #### getMorphoPIDSN

          public java.lang.String getMorphoPIDSN()

      获取指纹版本
      acquire fingerprint version
      Specified by:
        `getMorphoPIDSN` in interface `IFingerprintWithMorpho`
      Returns:
        返回指纹版本信息
        return fingerprint version infor

    - #### morphoEraseAllBase

          public boolean morphoEraseAllBase()

      删除所有指纹信息
      delete all fingerprint infor
      Specified by:
        `morphoEraseAllBase` in interface `IFingerprintWithMorpho`
      Returns:

    - #### getMorphoSecurityLevel

          public int getMorphoSecurityLevel()

      Specified by:
        `getMorphoSecurityLevel` in interface `IFingerprintWithMorpho`

    - #### setMorphoSecurityLevel

          public boolean setMorphoSecurityLevel(int level)

      Specified by:
        `setMorphoSecurityLevel` in interface `IFingerprintWithMorpho`

    - #### setTimeOut

          public boolean setTimeOut(int timeOut)

      设置指纹模块超时时间
      Specified by:
        `setTimeOut` in interface `IFingerprintWithMorpho`
      Returns:
        true:success false:fail

    - #### getStatusMsg

          public static java.lang.String getStatusMsg(int status)